%global src_name configshell-fb

Summary:        A framework to implement simple but nice CLIs
Name:           python-configshell
License:        ASL 2.0
Version:        1.1.30
Release:        3%{?dist}
URL:            https://github.com/open-iscsi/configshell-fb
Source:         https://files.pythonhosted.org/packages/source/c/%{src_name}/%{src_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

%description
ConfigShell is a Python library that provides a framework for building simple \
but nice CLI-based applications running both as single-command tools and \
interactive shells providing a UNIX filesystem-like navigation interface, \
as well as full autocompletion support and interactive inline help. It is part \
of LIO.

%package -n python3-configshell
Summary:        A framework for building simple but nice CLI-based applications
Requires:       python3-pyparsing python3-urwid

%description -n python3-configshell
ConfigShell is a Python library that provides a framework for building simple \
but nice CLI-based applications.

%prep
%setup -q -n %{src_name}-%{version}
sed -r -i "s/'pyparsing.*'/'pyparsing'/" setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-configshell
%doc COPYING README.md
%{python3_sitelib}/configshell*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.30-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.30-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 1.1.30-1
- upgrade to 1.1.30

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.29-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.29-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.29-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Xun Zhong <victorzhong@tencent.com> - 1.1.29-1
- Initial build
